PHP 8.1.0 Beta 1 available for testing

Requirements

If you have the GD library (available at » http://www.libgd.org/) you will also be able to create and manipulate images.

The format of images you are able to manipulate depend on the version of GD you install, and any other libraries GD might need to access those image formats.

Note: libgd-2.1.0 or higher is required. Alternatively, use the bundled GD library that ships with PHP.

You may wish to enhance GD to handle more image formats.

Supported image formats
Image format Library to download Notes
gif    
jpeg » http://www.ijg.org/ When building the jpeg library (prior to building PHP) you must use the --enable-shared option in the configure step. If you do not, you will receive an error saying libjpeg.(a|so) not found when you get to the configure step of building PHP.
png » http://www.libpng.org/pub/png/libpng.html
xpm » ftp://metalab.unc.edu/pub/Linux/libs/X/!INDEX.html It's likely you have this library already available, if your system has an installed X-Environment.

You may wish to enhance GD to deal with different fonts. The » FreeType 2 library is supported.

add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top